RESTinio

Classes | Namespaces | Typedefs | Functions
ws_connection.hpp File Reference
`#include <queue>`
`#include <restinio/asio_include.hpp>`
`#include <http_parser.h>`
`#include <restinio/impl/include_fmtlib.hpp>`
`#include <restinio/all.hpp>`
`#include <restinio/impl/executor_wrapper.hpp>`
`#include <restinio/impl/write_group_output_ctx.hpp>`
`#include <restinio/websocket/message.hpp>`
`#include <restinio/websocket/impl/ws_parser.hpp>`
`#include <restinio/websocket/impl/ws_protocol_validator.hpp>`
`#include <restinio/utils/impl/safe_uint_truncate.hpp>`
`#include <restinio/compiler_features.hpp>`

Go to the source code of this file.

## Classes
class | restinio::websocket::basic::impl::ws_outgoing_data_t
| A queue for outgoing buffers. More...
struct | restinio::websocket::basic::impl::connection_input_t
| Websocket input stuff. More...
class | restinio::websocket::basic::impl::ws_connection_t< Traits, WS_Message_Handler >
| Context for handling websocket connections. More...
class | restinio::websocket::basic::impl::ws_connection_t< Traits, WS_Message_Handler >::one_shot_action_t
| A helper class for running exclusive action. Only a first action will run. More...

## Namespaces
namespace | restinio
namespace | restinio::websocket
namespace | restinio::websocket::basic
namespace | restinio::websocket::basic::impl

## Typedefs
using | restinio::websocket::basic::impl::write_groups_queue_t = std::queue< write_group_t >

## Functions
constexpr size_t | restinio::websocket::basic::impl::websocket_header_max_size ()
| Max possible size of websocket frame header (a part before payload). More...